Bug 240814

Summary: [NEW PORT] sysutils/ansible-iocage: Ansible module for iocage
Product: Ports & Packages Reporter: Lewis Cook <vulcan>
Component: Individual Port(s)Assignee: freebsd-ports-bugs (Nobody) <ports-bugs>
Status: Closed FIXED    
Severity: Affects Only Me CC: tcberner, xmj
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://github.com/fractalcells/ansible-iocage
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240788
Attachments:
Description Flags
port diff
vulcan: maintainer-approval+
updated port diff
none
port diff
none
port diff none

Description Lewis Cook freebsd_triage 2019-09-25 13:29:06 UTC
Created attachment 207801 [details]
port diff

Ansible module for the iocage utility: convenient, lightweight
and easy jail management.

WWW: https://github.com/fractalcells/ansible-iocage
Comment 1 Lewis Cook freebsd_triage 2019-11-03 14:27:33 UTC
Created attachment 208821 [details]
updated port diff

* Added shebang fix, replaced ${EGREP} with ${GREP}, formatted with portfmt.
Comment 2 Lewis Cook freebsd_triage 2019-11-03 20:47:48 UTC
Created attachment 208828 [details]
port diff

* Amended ANSIBLE_MOD, remove un-needed call to 'ansible-config'.
Comment 3 Lewis Cook freebsd_triage 2019-11-04 14:51:19 UTC
Created attachment 208858 [details]
port diff

* Further revision of Makefile as suggested in bug#240788.
Comment 4 Johannes Jost Meixner freebsd_committer 2019-11-11 08:19:18 UTC
Hi,

The patch you want to put into files/ is unnecessary since https://github.com/fractalcells/ansible-iocage/pull/18/files.

I do think ports is the wrong place for this tool and it'd be a better idea to just ship it via ansible galaxy:

https://github.com/fractalcells/ansible-iocage/issues/6

Thanks,
Johannes
Comment 5 Lewis Cook freebsd_triage 2019-11-12 15:19:46 UTC
(In reply to Johannes Jost Meixner from comment #4)

Hi, thanks for your response.

Regarding the the port, I initially created this submission in favor of having the module available system-wide rather than on a case-by-case basis with Ansible galaxy locally, specific to a local project and role. iocage tends to be the goto for jail management and I believe it would be extremely helpful for those who wish to administrate jails with Ansible, and subsequently is the reason I submitted the sysrc module port (as of late was merged), providing much needed functionality to manipulate rc.conf on FreeBSD.

By having this it's more than trivial to interface with iocage and Ansible, and for those who want this globally, great, and definitely a convenience.

Ultimately, ports are available system wide, as such think this could be applicable to Ansible modules (to an extent). Whilst on the flip-side I understand the reasoning to keeping it solely to galaxy, but the alternative option of a port would be nice. Cheers!
Comment 6 commit-hook freebsd_committer 2020-09-02 14:30:07 UTC
A commit references this bug:

Author: swills
Date: Wed Sep  2 14:29:45 UTC 2020
New revision: 547359
URL: https://svnweb.freebsd.org/changeset/ports/547359

Log:
  sysutils/ansible-iocage: create port

  Ansible module for the iocage utility: convenient, lightweight
  and easy jail management.

  WWW: https://github.com/fractalcells/ansible-iocage

  PR:		240814
  Submitted by:	Lewis Cook <vulcan@wired.sh>

Changes:
  head/sysutils/Makefile
  head/sysutils/ansible-iocage/
  head/sysutils/ansible-iocage/Makefile
  head/sysutils/ansible-iocage/distinfo
  head/sysutils/ansible-iocage/patch-iocage
  head/sysutils/ansible-iocage/pkg-descr
Comment 7 Steve Wills freebsd_committer 2020-09-02 14:31:52 UTC
Committed, thanks!